tigase.jaxmpp.core.client.xmpp.modules.auth

## Class NonSaslAuthModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<T>
  - - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule<IQ>
    - - tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule
      - - tigase.jaxmpp.core.client.xmpp.modules.auth.NonSaslAuthModule

- All Implemented Interfaces:
    ContextAware, ExtendableModule, InitializingModule, XmppModule

      public class NonSaslAuthModule
      extends AbstractIQModule

  Implementaion of XEP-0078: Non-SASL Authentication.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `NonSaslAuthModule.NonSaslAuthFailedHandler`
    `static interface` | `NonSaslAuthModule.NonSaslAuthStartHandler`
    `static interface` | `NonSaslAuthModule.NonSaslAuthSuccessHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Criteria` | `CRIT`

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonSaslAuthModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fireAuthStart(IQ iq)`
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `login()`
    `protected void` | `onError(Stanza responseStanza, XMPPException.ErrorCondition error)`
    `protected void` | `onSuccess(Stanza responseStanza)`
    `protected void` | `onTimeout()`
    `protected void` | `processGet(IQ element)` Method for processing stanza `<iq type='get'>`.
    `protected void` | `processSet(IQ element)` Method for processing stanza `<iq type='set'>`.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule

      `process`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule

      `addExtension, getExtensionChain, getFeaturesWithExtensions, removeExtension, write, write, write`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CRIT

          public static final Criteria CRIT

  - ### Constructor Detail

    - #### NonSaslAuthModule

          public NonSaslAuthModule()

  - ### Method Detail

    - #### fireAuthStart

          protected void fireAuthStart(IQ iq)
                                throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Returns:
        array of features

    - #### login

          public void login()
                     throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onError

          protected void onError(Stanza responseStanza,
                                 XMPPException.ErrorCondition error)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onSuccess

          protected void onSuccess(Stanza responseStanza)
                            throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onTimeout

          protected void onTimeout()
                            throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processGet

          protected void processGet(IQ element)
                             throws JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='get'>`.
      Specified by:
        `processGet` in class `AbstractIQModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `JaxmppException`

    - #### processSet

          protected void processSet(IQ element)
                             throws JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='set'>`.
      Specified by:
        `processSet` in class `AbstractIQModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `JaxmppException`

Copyright © 2006–2019 Tigase. All rights reserved.